Créer une demande de gouvernance d'émetteur
curl --request POST \
--url https://api.truthlocks.com/v1/governance/issuer-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evidence": "<unknown>",
"issuer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"justification": "<string>",
"proposed_changes": "<unknown>",
"request_type": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
evidence: '<unknown>',
issuer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
justification: '<string>',
proposed_changes: '<unknown>',
request_type: '<string>'
})
};
fetch('https://api.truthlocks.com/v1/governance/issuer-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/governance/issuer-requests"
payload = {
"evidence": "<unknown>",
"issuer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"justification": "<string>",
"proposed_changes": "<unknown>",
"request_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/governance/issuer-requests"
payload := strings.NewReader("{\n \"evidence\": \"<unknown>\",\n \"issuer_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"justification\": \"<string>\",\n \"proposed_changes\": \"<unknown>\",\n \"request_type\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}Gouvernance
Créer une demande de gouvernance
Crée une nouvelle demande de gouvernance pour l’approbation/les modifications de l’émetteur.
POST
/
v1
/
governance
/
issuer-requests
Créer une demande de gouvernance d'émetteur
curl --request POST \
--url https://api.truthlocks.com/v1/governance/issuer-requests \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"evidence": "<unknown>",
"issuer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"justification": "<string>",
"proposed_changes": "<unknown>",
"request_type": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
evidence: '<unknown>',
issuer_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
justification: '<string>',
proposed_changes: '<unknown>',
request_type: '<string>'
})
};
fetch('https://api.truthlocks.com/v1/governance/issuer-requests', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.truthlocks.com/v1/governance/issuer-requests"
payload = {
"evidence": "<unknown>",
"issuer_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"justification": "<string>",
"proposed_changes": "<unknown>",
"request_type": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.truthlocks.com/v1/governance/issuer-requests"
payload := strings.NewReader("{\n \"evidence\": \"<unknown>\",\n \"issuer_id\": \"3c90c3cc-0d44-4b50-8888-8dd25736052a\",\n \"justification\": \"<string>\",\n \"proposed_changes\": \"<unknown>\",\n \"request_type\": \"<string>\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"status": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}Crée une demande de changement d’émetteur pour examen ultérieur. Authentifiez-vous en tant qu’utilisateur avec
GOVERNANCE_ADMIN ou TENANT_ADMIN ; une clé API seule ne fournit pas l’identité d’utilisateur requise.
Utilisez request_type, issuer_id, justification, proposed_changes et evidence facultatif. Les anciens noms type, target_issuer_id et reason ne sont pas ce contrat de requête. Le serveur attribue l’identité de la requête, l’espace de travail, le demandeur, le statut et le nombre d’approbations. La création d’une requête ne l’exécute pas et ne contourne pas les approbations requises.Corps
application/json

